You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-10-25 14:20:17

miss
Guest
Registered: 2017-05-05
Posts: 108

Mise à jour glpi

Bonjour à tous,

J'ai la version 0.90 de GLPI que je souhaite mettre à jour. J'ai sauvegardé ma base de données et désactiver mes plugins. J'ai téléchargé la version de glpi souhaité (9.1.6) que j'ai décompressé. Le problème est que lors de l'étape 0 j'ai des problèmes comme l'extension curl est manquante. J'ai dû tout recommencer pour mieux aborder la tâche mais je ne vois pas comment faire la mise à jour simplement. Quelqu'un pour m'expliquer s'il vous plaît. Les tutos ne sont pas très explicites pour moi. Je vous remercie. smile

Offline

#2 2017-10-25 14:46:24

btry
Guest
Registered: 2015-10-01
Posts: 196

Re: Mise à jour glpi

Bonjour

Si il vous manque des extensions PHP, ce n'est absolument pas grave. Installez les, et recommencez la procédure. La seule chose qui peut mériter de l'assistance est un bug à l'upgrade de la base de données. Le reste est simple à résoudre.

Un détail important, vu qu'il semble que beaucoup font cette erreur:
- vérifiez que votre backup est restaurable sur une base vierge. il ne doit pas y avoir d'erreur SQL qui interromp la restauration.
- si vous avez besoin de restaurer, ne restaurez jamais la sauvegarde "par dessus" votre base de données. Vous devez effacer toutes les tables, puis restaurer la sauvegarde. Sinon, le programme d'upgrade pourrait être perdu. Ensuite vous pouvez recommencer l'upgrade du début.

Si quelque chose vous bloque de nouveau, décrivez le blocage. A lire votre message, on ne sait pas exactement où vous en êtes ni ce qui vous bloque à cet instant.


Always run an upgrade task on a testing instance before running it on production ! Always backup before any upgrade task !

Flyve MDM: https://github.com/flyve-mdm/glpi-plugin
Formcreator: https://github.com/pluginsGLPI/formcreator

Offline

#3 2017-10-25 14:53:25

miss
Guest
Registered: 2017-05-05
Posts: 108

Re: Mise à jour glpi

Merci pour votre réponse
Le problème est qu'actuellement je veux reprendre la mise à jour du début. Je ne sais donc pas comment y procéder. Jusque là j'ai juste sauvegardé la base à partir de l'interface graphique de l'ancien glpi (0.90.5) dans le menu administration/maintenance. J'ai ensuite téléchargé la nouvelle version (9.1.6) et je l'ai décompressé. c'est tout. je ne sais quoi faire par la suite.

Pour faire simple, je veux faire la mise à jour de GLPI 0.90.5 vers GLPI 9.1.6. Merci smile

Offline

#4 2017-10-25 15:00:42

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,040

Re: Mise à jour glpi

attention, si la base est grosse, la dauvegarde interne GLPI n'est pas la plus pertinente.
Mysqldump est plus simple, plus fiable et plus rapide par exemple.

aviez vous fait une copie de sauvegarde du dossier glpi  avant la décompression ? (ou renommé glpi en glpi90 par exemple) ?


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3  en test (ubuntu 16.04 mariadb 10.2.4) (attente plugin compatible avant mise en prod)

Offline

#5 2017-10-25 15:03:50

miss
Guest
Registered: 2017-05-05
Posts: 108

Re: Mise à jour glpi

Je n'ai pas renommé mais j'ai une sauvegarde complète de mon ancienne glpi (0.90.5)

J'ai à présent fait la sauvegarde de la base comme suit : mysqldump --single-transaction  --user=root --password=xxxxx --databases nom_de_ma_base> Sauvegarde.sql

Ensuite comment aboutir à la mise à jour svp?

Last edited by miss (2017-10-25 15:45:48)

Offline

#6 2017-10-25 16:20:38

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,040

Re: Mise à jour glpi

il faut en premier lieu mettre à jour votre serveur avec l'extension curl .

serveur linux / windows ?

il y a plein de procédures sur le net en cherchant installer extension curl php
vérifier si les autres messages d'alerte GLPI sont conseillés ou impératifs.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3  en test (ubuntu 16.04 mariadb 10.2.4) (attente plugin compatible avant mise en prod)

Offline

#7 2017-10-25 16:44:04

miss
Guest
Registered: 2017-05-05
Posts: 108

Re: Mise à jour glpi

Exactement, j'ai essayé mais il y a l'extension curl qui manque. J'ai un serveur linux.

Lorsque j'essaie de l'installer (apt-get install php5-curl) j'ai ce message:

# apt-get install php5-curl
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet php5-curl

Ce qui me bloque depuis
J'ai essayé un update et upgrade du serveur linux mais là aussi impossible de charger certains paquets.

J'ai essayé ceci:

apt-cache policy php7.0-curl
php7.0-curl:
  Installé : (aucun)
  Candidat : 7.0.22-0ubuntu0.16.04.1
Table de version :
     7.0.22-0ubuntu0.16.04.1 500
        500 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages
     7.0.8-0ubuntu0.16.04.3 0
        100 /var/lib/dpkg/status
     7.0.4-7ubuntu2 500
        500 http://fr.archive.ubuntu.com/ubuntu xenial/main amd64 Packages


Comment faire svp? Merci

Last edited by miss (2017-10-25 16:52:44)

Offline

#8 2017-10-26 09:52:58

miss
Guest
Registered: 2017-05-05
Posts: 108

Re: Mise à jour glpi

Bonjour;

Personne?

Offline

#9 2017-10-26 09:55:51

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,040

Re: Mise à jour glpi

désolé, sur ce coup là je laisse des utilisateurs plus expérimentés répondre.
vous aurez peut être plus de chance sur les forum Linux, l'installation de curl étant vraiment indépendante de GLPI.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3  en test (ubuntu 16.04 mariadb 10.2.4) (attente plugin compatible avant mise en prod)

Offline

#10 2017-10-26 10:02:47

btry
Guest
Registered: 2015-10-01
Posts: 196

Re: Mise à jour glpi

Bonjour

apt-get install php5-curl a échoué car le paquet n'existe pas. Vérifiez la  version de PHP disponible dans cette version d'Ubuntu. Version 5 ou version 7 ?

vu le nom du paquet de l'extensin curl pour votre version (source: https://packages.ubuntu.com/fr/xenial/php/) je pense que vous n'avez que PHP 7 de disponible, et le paquet semble s'appeler php-curl.

Essayez donc apt-get  install php-curl

Cela reste une bonne idée de commencer par vérifier la  version effectivement installée de PHP

Pour faire simple, je fais parfois un fichier phpinfo.php contenant ce qui suit

<?php
phpinfo();

à placer à la racine du serveur web (ça devrait être /var/www/html/ sous ubuntu), que je vais interroger via un navigateur. Vous pourrez faire un état des lieux complet de votre installation PHP (version, extensions notamment)


Always run an upgrade task on a testing instance before running it on production ! Always backup before any upgrade task !

Flyve MDM: https://github.com/flyve-mdm/glpi-plugin
Formcreator: https://github.com/pluginsGLPI/formcreator

Offline

#11 2017-10-26 10:15:37

miss
Guest
Registered: 2017-05-05
Posts: 108

Re: Mise à jour glpi

Merci pour vos réponses respectives.

@btry, j'ai la version 7 de php
Lorsque j'essaie apt-get install php-curl, j'ai ceci:

apt-get install php-curl
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
linux-image-extra-4.4.0-87-generic : Dépend: linux-image-4.4.0-87-generic mais ne sera pas installé
linux-image-extra-4.4.0-97-generic : Dépend: linux-image-4.4.0-97-generic mais ne sera pas installé
linux-image-generic : Dépend: linux-image-4.4.0-97-generic mais ne sera pas installé
                       Recommande: thermald mais ne sera pas installé
php-curl : Dépend: php7.0-curl mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Last edited by miss (2017-10-26 10:16:45)

Offline

#12 2017-10-26 10:27:24

btry
Guest
Registered: 2015-10-01
Posts: 196

Re: Mise à jour glpi

Là c'est un autre souci. En principe ça arrive si une installation ou mise à jour est arrêtée brutalement (plantage, coupure de courant...).

Le conseil donné fonctionne généralement (apt install -f), mais il vaut mieux mesurer la criticité du serveur avant d'y aller les yeux fermés. Serveur de prod ? serveur d'expérimentations ? si le système ne reboote plus, quelles conséquences ?

Prenez conseil auprès de votre administrateur pour évaluer la situation. Une fois cela résolu, nous pourrons reprendre.


Always run an upgrade task on a testing instance before running it on production ! Always backup before any upgrade task !

Flyve MDM: https://github.com/flyve-mdm/glpi-plugin
Formcreator: https://github.com/pluginsGLPI/formcreator

Offline

#13 2017-10-26 10:29:24

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,040

Re: Mise à jour glpi

et surtout la sauvegarde qui est peut être sur ce serveur, pensez à la mettre à l'abri sur un autre support.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3  en test (ubuntu 16.04 mariadb 10.2.4) (attente plugin compatible avant mise en prod)

Offline

#14 2017-10-26 10:36:14

miss
Guest
Registered: 2017-05-05
Posts: 108

Re: Mise à jour glpi

c'est en fait un serveur de test. J'ai une sauvegarde complète enregistrée quelque part.

Si non merci encore pour vos réponses

@btry, j'ai essayé apt-get -f install mais j'ai un retour d'erreur (1).
Ce n'est pas bien grave, je continuerai mes recherches. N'hésitez pas si vous me trouvez une solution, on ne sait jamais. merci smile

Offline

#15 2017-11-02 07:22:40

tinhbotnghesach
Guest
From: Việt Nam
Registered: 2017-11-02
Posts: 2
Website

Re: Mise à jour glpi

Bonjour
Si il vous manque des extensions PHP, ce n'est absolument pas grave. Installez les, et recommencez la procédure. La seule chose qui peut mériter de l'assistance est un bug à l'upgrade de la base de données. Le reste est simple à résoudre.

Offline

Board footer

Powered by FluxBB